SP500 <- matrix(scan("../datasets/SP500",skip=15),ncol=5,byrow=T)
SP500 <- rev(SP500[,5])            #closing prices
SP500 <- as.numeric(SP500)
t1_SP500[1:7075]
t2_SP500[2:7076]
sp_(log(t2)-log(t1))*100

ps.options(horizontal=F, width=4.4, height=6.2, reset=T)
postscript("Fig415.ps", onefile=F, print=F)
par(mfrow=c(3,2),mar=c(3.5,3.5,3,1)+0.1, cex=0.2)
par(mex=0.3,csi=0.11, mgp = c(1.6, 0.4, 0))
qqnorm(sp, xlab='normal quantile', ylim=c(-15,10), ylab='quantile of returns', lty=1, main='(a) Returns vs Normal')
qqline(sp)
aqqplot(sp, dist='t', distpar=7, lty=1, xlab='quantile of t(7)',ylab='quantile of returns', ylim=c(-15,10), main='(b) Returns vs t(7)')
aqqplot(sp, dist='t', distpar=6, lty=1, xlab='quantile of t(6)',ylab='quantile of returns', ylim=c(-15,10), main='(c) Returns vs t(6)')
aqqplot(sp, dist='t', distpar=5, lty=1, xlab='quantile of t(5)',ylab='quantile of returns', ylim=c(-15,10), main='(d) Returns vs t(5)')
aqqplot(sp, dist='t', distpar=4, lty=1, xlab='quantile of t(4)',ylab='quantile of returns', ylim=c(-15,10), main='(e) Returns vs t(4)')
aqqplot(sp, dist='t', distpar=3, lty=1, xlab='quantile of t(3)',ylab='quantile of returns', ylim=c(-15,10), main='(f) Returns vs t(3)')
dev.off()

